Subject: Re: [TG3]: About hw coalescing infrastructure.

From: Eric Dumazet <[email-masked]>
Date: Tue, 05 Jul 2005 00:31:55 +0200

Eric Dumazet a écrit :
> David S. Miller a écrit :
> 
>> From: Eric Dumazet <[email-masked]>
>> Date: Mon, 04 Jul 2005 23:22:12 +0200
>>
>>
>>> But it seems something is wrong because when network load becomes 
>>> high I get :
>>>
>>> Jul  4 23:01:19 dada1 kernel: NETDEV WATCHDOG: eth0: transmit timed out
>>> Jul  4 23:01:19 dada1 kernel: tg3: eth0: transmit timed out, resetting
>>> Jul  4 23:01:24 dada1 kernel: NETDEV WATCHDOG: eth0: transmit timed out
>>> Jul  4 23:01:24 dada1 kernel: tg3: eth0: transmit timed out, resetting
>>> Jul  4 23:01:29 dada1 kernel: NETDEV WATCHDOG: eth0: transmit timed out
>>
>>
>>
>> Does this happen without changing the coalescing settings
>> at all?
>>
>>
> Not easy to answer because I have to rebuild a kernel and reboot. Will 
> do that shortly.
> 
> 
> 

Oops, I forgot to tell you I applied the patch  : [TG3]: Eliminate all hw IRQ handler spinlocks.
(Date: Fri, 03 Jun 2005 12:25:58 -0700 (PDT))

Maybe I should revert to stock 2.6.12 tg3 driver ?

Eric